List all authentication keys associated with the admin SVM
Retrieves authentication keys associated with the admin SVM to review the security configuration used for secure communications.
HTTP method and endpoint
GET /security/key-managers/{security_key_manager.uuid}/auth-keys/{key_id}
Introduced in
ONTAP 9.12
Usage notes
Retrieves the authentication key identified by the 'key_id' and associated with the admin SVM.
Related ONTAP commands
-
security key-manager key query
Required properties
-
security_key_manager.uuid- UUID of the external key manager. -
key_id- Key ID of the authentication key to be retrieved.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
key_tag |
string |
query |
False |
Filter by key_tag |
security_key_manager.uuid |
string |
path |
True |
External key manager UUID |
key_id |
string |
path |
True |
Key ID of the authentication key to be retrieved. |
fields |
array[string] |
query |
False |
Specify the fields to return. |
max_records |
integer |
query |
False |
Limit the number of records returned. |
return_timeout |
integer |
query |
False |
The number of seconds to allow the call to execute before returning. When iterating over a collection, the default is 15 seconds. ONTAP returns earlier if either max records or the end of the collection is reached.
|
return_records |
boolean |
query |
False |
The default is true for GET calls. When set to false, only the number of records is returned.
|
order_by |
array[string] |
query |
False |
Order results by specified fields and optional [asc |
Response
Status: 200, Ok
| Name | Type | Description |
|---|---|---|
_links |
||
key_id |
string |
Key identifier. |
key_tag |
string |
Optional parameter to define key-tag for the authentication key, length 0-32 characters. |
Example response
{
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"key_id": "000000000000000002000000000001003aa8ce6a4fea3e466620134bea9510a10000000000000000",
"key_tag": "Authentication-Key-01"
}
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
65536828 |
External key management is not enabled for the SVM. |
65536856 |
No key servers found for the SVM. |
65536896 |
External key management is not configured on the partner site. |
65538800 |
External KMIP DKMIP keymanager not configured on administrative Vserver. |
65538801 |
Internal error while accessing keymanager database. |
65538802 |
The UUID provided is not associated with the administrator SVM key manager. |
Also see the table of common errors in the Response body overview section of this documentation.
| Name | Type | Description |
|---|---|---|
error |
Example error
{
"error": {
"arguments": [
{
"code": "string",
"message": "string"
}
],
"code": "4",
"message": "entry doesn't exist",
"target": "uuid"
}
}
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
self_link
| Name | Type | Description |
|---|---|---|
self |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |